{"openapi":"3.0.1","info":{"title":"5P_API_Development","version":"v1"},"paths":{"/api/bookmarks/{id}":{"get":{"tags":["Bookmark"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/bookmarks":{"get":{"tags":["Bookmark"],"responses":{"200":{"description":"Success"}}}},"/api/bookmarks/type/{typeId}":{"get":{"tags":["Bookmark"],"parameters":[{"name":"typeId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success"}}}},"/api/bookmarks/updatedBy/{updatedBy}/new":{"post":{"tags":["Bookmark"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/BookmarkMaster"}},"application/json":{"schema":{"$ref":"#/components/schemas/BookmarkMaster"}},"text/json":{"schema":{"$ref":"#/components/schemas/BookmarkMaster"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/BookmarkMaster"}}}},"responses":{"200":{"description":"Success"}}}},"/api/Cancellation/GetReasons":{"get":{"tags":["Cancellation"],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/{id}":{"get":{"tags":["ClinicalTrial"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/{id}/language/{languageCode}":{"get":{"tags":["ClinicalTrial"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/{id}/language/{languageCode}/version/{version}":{"get":{"tags":["ClinicalTrial"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/updatedBy/{updatedBy}/new":{"post":{"tags":["ClinicalTrial"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ClinicalTrial"}},"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalTrial"}},"text/json":{"schema":{"$ref":"#/components/schemas/ClinicalTrial"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ClinicalTrial"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/user/{userId}/language":{"post":{"tags":["ClinicalTrial"],"parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ClinicalTrialTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalTrialTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/ClinicalTrialTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ClinicalTrialTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/updatedBy/{updatedBy}/language/new":{"post":{"tags":["ClinicalTrial"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ClinicalTrialTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalTrialTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/ClinicalTrialTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ClinicalTrialTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/updatedBy/{updatedBy}/newVersion":{"post":{"tags":["ClinicalTrial"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ClinicalTrialTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalTrialTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/ClinicalTrialTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ClinicalTrialTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/updatedBy/{updatedBy}":{"put":{"tags":["ClinicalTrial"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ClinicalTrial"}},"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalTrial"}},"text/json":{"schema":{"$ref":"#/components/schemas/ClinicalTrial"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ClinicalTrial"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/updatedBy/{updatedBy}/language":{"put":{"tags":["ClinicalTrial"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ClinicalTrialTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalTrialTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/ClinicalTrialTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ClinicalTrialTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/{id}/user/{userId}/publish":{"post":{"tags":["ClinicalTrial"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/{id}/user/{userId}/retire":{"post":{"tags":["ClinicalTrial"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/{id}/user/{userId}/activate":{"post":{"tags":["ClinicalTrial"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/{id}/user/{userId}/deactivate":{"post":{"tags":["ClinicalTrial"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials":{"post":{"tags":["ClinicalTrial"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/GetAllCRODashboardGridRows":{"post":{"tags":["ClinicalTrial"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/GetAllCRODashboardClinicalTrialDetailsGridRows":{"post":{"tags":["ClinicalTrial"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/ExportCRODashboardData":{"post":{"tags":["ClinicalTrial"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/ExportCRODashboardClinicalTrialDetailsData":{"post":{"tags":["ClinicalTrial"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/{id}/clone":{"post":{"tags":["ClinicalTrial"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/{id}/planTemplate/{planTemplateId}/user/{userId}":{"put":{"tags":["ClinicalTrial"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"planTemplateId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/{id}/planTemplate/user/{userId}":{"put":{"tags":["ClinicalTrial"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/{id}/pendingProviders":{"get":{"tags":["ClinicalTrial"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/{id}/assignedProviders":{"get":{"tags":["ClinicalTrial"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/{id}/availableProviders":{"get":{"tags":["ClinicalTrial"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/{id}/user/{userId}/providers":{"post":{"tags":["ClinicalTrial"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/resendApprovalNotificationToProviders":{"post":{"tags":["ClinicalTrial"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/sendNoticationToProvidersOnAssetChanges":{"get":{"tags":["ClinicalTrial"],"parameters":[{"name":"informedConsentTranslationId","in":"query","schema":{"type":"string"}},{"name":"providerId","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/verifyChangeReviewer":{"get":{"tags":["ClinicalTrial"],"parameters":[{"name":"userId","in":"query","schema":{"type":"string"}},{"name":"clinicalTrialId","in":"query","schema":{"type":"string"}},{"name":"changeId","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/{clinicalTrialId}/changeId/{changeId}/staffId/{staffId}/checkEmailUpdateVersionExpired":{"post":{"tags":["ClinicalTrial"],"parameters":[{"name":"clinicalTrialId","in":"path","required":true,"schema":{"type":"string"}},{"name":"changeId","in":"path","required":true,"schema":{"type":"string"}},{"name":"staffId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/getProviderAssociatedStaffByUserId":{"post":{"tags":["ClinicalTrial"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/GetDemographicSelectedStaff":{"post":{"tags":["ClinicalTrial"],"parameters":[{"name":"viewerId","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/approveAssetUpdatesInClinicalTrial":{"post":{"tags":["ClinicalTrial"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/GetStaffAssociatedPlanTemplate":{"post":{"tags":["ClinicalTrial"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/GetProviderPrimaryStaffSpecificCTPlanTemplates":{"post":{"tags":["ClinicalTrial"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/GetAllDoctorPlanTemplates":{"post":{"tags":["ClinicalTrial"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/getSelectedClinicalTrailReport":{"post":{"tags":["ClinicalTrial"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/downloadClinicalTrialReport":{"post":{"tags":["ClinicalTrial"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/getSelectedClinicalTrailEnrollmentReport":{"post":{"tags":["ClinicalTrial"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/getselectedClinialTrailOneTouchComplianceReport":{"post":{"tags":["ClinicalTrial"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/downloadClinicalTrialEnrollmentReport":{"post":{"tags":["ClinicalTrial"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/getActiveAndSubscribedClinicalTrialArtifacts":{"post":{"tags":["ClinicalTrial"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/getClinicalTrailProviderAssetStaffs":{"get":{"tags":["ClinicalTrial"],"parameters":[{"name":"clinicaltrailId","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/getClinicalTrialRatings":{"post":{"tags":["ClinicalTrial"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/isClinicalTrialAffiliatedOrganization/{providerId}":{"get":{"tags":["ClinicalTrial"],"parameters":[{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/reportingGroup/{providerId}/{isAffiliatedClinicalTrialProvider}":{"get":{"tags":["ClinicalTrial"],"parameters":[{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"isAffiliatedClinicalTrialProvider","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/GetAllStudyManagersForAffiliatedClinicalTrial/{providerId}":{"get":{"tags":["ClinicalTrial"],"parameters":[{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/reportingGroup":{"post":{"tags":["ClinicalTrial"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}},"put":{"tags":["ClinicalTrial"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/clinicalTrials/reportingGroup/{id}":{"delete":{"tags":["ClinicalTrial"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/Consent/GetConsentStatus":{"get":{"tags":["Consent"],"responses":{"200":{"description":"Success"}}}},"/api/Consent/GetConsentCategory":{"get":{"tags":["Consent"],"responses":{"200":{"description":"Success"}}}},"/api/Consent/GetConsentInAppFlow":{"post":{"tags":["Consent"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/Consent/{consentId}/previewEduAcknowledgementConsent":{"get":{"tags":["Consent"],"parameters":[{"name":"consentId","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/Consent/GetAdminConsent":{"get":{"tags":["Consent"],"responses":{"200":{"description":"Success"}}}},"/api/Consent/GetProviderAvailableStandaloneEducationAcknowledgements":{"post":{"tags":["Consent"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/Consent/GetProviderAssociatedEducationAcknowledgements":{"post":{"tags":["Consent"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/Consent/UpdateEducationAcknowledgementSubscriptionForProvider":{"post":{"tags":["Consent"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/Demographics/Save":{"post":{"tags":["Demographic"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/Demographic/GetRecipientType":{"post":{"tags":["Demographic"],"responses":{"200":{"description":"Success"}}}},"/api/Demographics/GetDemographicRecord":{"post":{"tags":["Demographic"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/Demographics/GetCommunicationPreferences":{"post":{"tags":["Demographic"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/Demographics/getDemographicsEmailForExistingViewer":{"post":{"tags":["Demographic"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/Demogrpahics/GetRelationship":{"get":{"tags":["Demographic"],"parameters":[{"name":"languageCode","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/Demographics/UpdateDemographicsInfo":{"put":{"tags":["Demographic"],"parameters":[{"name":"encounterId","in":"query","schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/DemographicsViewModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/DemographicsViewModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/DemographicsViewModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/DemographicsViewModel"}}}},"responses":{"200":{"description":"Success"}}}},"/api/Demographics/MatchingUsersInProvider":{"post":{"tags":["Demographic"],"parameters":[{"name":"lastname","in":"query","schema":{"type":"string"}},{"name":"mrn","in":"query","schema":{"type":"string"}},{"name":"dob","in":"query","schema":{"type":"string"}},{"name":"providerid","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/Demographics/GetViewerLanguageCode":{"get":{"tags":["Demographic"],"parameters":[{"name":"viewerId","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/DocumentManagement/GetDocumentInAppFlow":{"post":{"tags":["DocumentManagement"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/DocumentManagement/AuditLogPDFOperations":{"post":{"tags":["DocumentManagement"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/DocumentManagement/getDocumentAuditHistory":{"post":{"tags":["DocumentManagement"],"parameters":[{"name":"documentId","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/DocumentManagement/getAttachment":{"post":{"tags":["DocumentManagement"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/DocumentManagement/GetEducationDocumentAttachment":{"post":{"tags":["DocumentManagement"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/DocumentManagement/UpdateEducationPlanDocument":{"put":{"tags":["DocumentManagement"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/DocumentManagement/GetEncounterAssociatedDocumentDetails":{"post":{"tags":["DocumentManagement"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/documentTemplate/{id}":{"get":{"tags":["DocumentTemplate"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/documentTemplate/{id}/language/{languageCode}":{"get":{"tags":["DocumentTemplate"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/documentTemplate/{id}/language/{languageCode}/version/{version}":{"get":{"tags":["DocumentTemplate"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success"}}}},"/api/documentTemplate/updatedBy/{updatedBy}/new":{"post":{"tags":["DocumentTemplate"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/DocumentTemplate"}},"application/json":{"schema":{"$ref":"#/components/schemas/DocumentTemplate"}},"text/json":{"schema":{"$ref":"#/components/schemas/DocumentTemplate"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/DocumentTemplate"}}}},"responses":{"200":{"description":"Success"}}}},"/api/documentTemplate/user/{userId}/language":{"post":{"tags":["DocumentTemplate"],"parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/DocumentTemplateTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/DocumentTemplateTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/DocumentTemplateTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/DocumentTemplateTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/documentTemplate/updatedBy/{updatedBy}/language/new":{"post":{"tags":["DocumentTemplate"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/DocumentTemplateTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/DocumentTemplateTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/DocumentTemplateTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/DocumentTemplateTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/documentTemplate/updatedBy/{updatedBy}/newVersion":{"post":{"tags":["DocumentTemplate"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/DocumentTemplateTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/DocumentTemplateTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/DocumentTemplateTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/DocumentTemplateTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/documentTemplate/updatedBy/{updatedBy}":{"put":{"tags":["DocumentTemplate"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/DocumentTemplate"}},"application/json":{"schema":{"$ref":"#/components/schemas/DocumentTemplate"}},"text/json":{"schema":{"$ref":"#/components/schemas/DocumentTemplate"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/DocumentTemplate"}}}},"responses":{"200":{"description":"Success"}}}},"/api/documentTemplate/updatedBy/{updatedBy}/language":{"put":{"tags":["DocumentTemplate"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/DocumentTemplateTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/DocumentTemplateTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/DocumentTemplateTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/DocumentTemplateTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/documentTemplate/{id}/user/{userId}/publish":{"post":{"tags":["DocumentTemplate"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/documentTemplate/{id}/user/{userId}/retire":{"post":{"tags":["DocumentTemplate"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/documentTemplate/{id}/user/{userId}/activate":{"post":{"tags":["DocumentTemplate"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/documentTemplate/{id}/user/{userId}/deactivate":{"post":{"tags":["DocumentTemplate"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/documentTemplate/provider/{providerId}/page/{page}/sortcolumn/{sortcolumn}/sortcriteria/{sortcriteria}":{"post":{"tags":["DocumentTemplate"],"parameters":[{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"sortcolumn","in":"path","required":true,"schema":{"type":"string","default":""}},{"name":"sortcriteria","in":"path","required":true,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/documentTemplate/{id}/clone":{"post":{"tags":["DocumentTemplate"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/documentTemplate/documentTemplateCategories":{"get":{"tags":["DocumentTemplate"],"responses":{"200":{"description":"Success"}}}},"/api/documentTemplate/getDocumentTemplatesList":{"post":{"tags":["DocumentTemplate"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/provider/{providerId}/page/{page}/sortcolumn/{sortcolumn}/sortcriteria/{sortcriteria}":{"post":{"tags":["EducationAcknowledgements"],"parameters":[{"name":"page","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"sortcolumn","in":"path","required":true,"schema":{"type":"string","default":""}},{"name":"sortcriteria","in":"path","required":true,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/{id}/provider/{providerId}/language/{languageCode}":{"get":{"tags":["EducationAcknowledgements"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/{id}/provider/{providerId}/language/{languageCode}/version/{version}":{"get":{"tags":["EducationAcknowledgements"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/{id}/provider/{providerId}/video/{videoId}/language/{languageCode}":{"get":{"tags":["EducationAcknowledgements"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"videoId","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/provider/{providerId}/updatedBy/{updatedBy}":{"put":{"tags":["EducationAcknowledgements"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationAcknowledgement"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationAcknowledgement"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationAcknowledgement"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationAcknowledgement"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/translation/provider/{providerId}/updatedBy/{updatedBy}":{"put":{"tags":["EducationAcknowledgements"],"parameters":[{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationAcknowledgementTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationAcknowledgementTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationAcknowledgementTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationAcknowledgementTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/{id}/provider/{providerId}/clone":{"post":{"tags":["EducationAcknowledgements"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/updatedBy/{updatedBy}":{"post":{"tags":["EducationAcknowledgements"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationAcknowledgement"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationAcknowledgement"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationAcknowledgement"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationAcknowledgement"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/translation/asNew/updatedBy/{updatedBy}":{"post":{"tags":["EducationAcknowledgements"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationAcknowledgementTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationAcknowledgementTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationAcknowledgementTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationAcknowledgementTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/translation":{"post":{"tags":["EducationAcknowledgements"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationAcknowledgementTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationAcknowledgementTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationAcknowledgementTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationAcknowledgementTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/{id}/user/{userId}/provider/{providerId}/indev":{"post":{"tags":["EducationAcknowledgements"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/{id}/user/{userId}/provider/{providerId}/expire":{"post":{"tags":["EducationAcknowledgements"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/translation/{id}/user/{userId}/provider/{providerId}/expire":{"post":{"tags":["EducationAcknowledgements"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/{id}/user/{useriId}/provider/{providerId}/activate":{"post":{"tags":["EducationAcknowledgements"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"query","schema":{"type":"string"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"useriId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/translation/{id}/user/{useriId}/provider/{providerId}/activate":{"post":{"tags":["EducationAcknowledgements"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"query","schema":{"type":"string"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"useriId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/{id}/user/{userId}/set-default":{"post":{"tags":["EducationAcknowledgements"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/language/{languageCode}/adminDefault":{"get":{"tags":["EducationAcknowledgements"],"parameters":[{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/adminDefault":{"get":{"tags":["EducationAcknowledgements"],"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/{id}/provider/{providerId}/subscribe":{"post":{"tags":["EducationAcknowledgements"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/AuditLogPDFOperations":{"post":{"tags":["EducationAcknowledgements"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationAcknowledgements/eaDocumentTemplate":{"post":{"tags":["EducationAcknowledgements"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationAlternateProcedure/{id}":{"get":{"tags":["EducationAlternateProcedure"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationAlternateProcedure/{id}/language/{languageCode}":{"get":{"tags":["EducationAlternateProcedure"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationAlternateProcedure/{id}/language/{languageCode}/version/{version}":{"get":{"tags":["EducationAlternateProcedure"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationAlternateProcedure":{"post":{"tags":["EducationAlternateProcedure"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationAlternateProcedure/updatedBy/{updatedBy}":{"put":{"tags":["EducationAlternateProcedure"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedure"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedure"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedure"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedure"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationAlternateProcedure/updatedBy/{updatedBy}/language":{"put":{"tags":["EducationAlternateProcedure"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedureTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedureTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedureTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedureTranslation"}}}},"responses":{"200":{"description":"Success"}}},"post":{"tags":["EducationAlternateProcedure"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedureTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedureTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedureTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedureTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationAlternateProcedure/updatedBy/{updatedBy}/new":{"post":{"tags":["EducationAlternateProcedure"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedure"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedure"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedure"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedure"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationAlternateProcedure/updatedBy/{updatedBy}/language/new":{"post":{"tags":["EducationAlternateProcedure"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedureTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedureTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedureTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedureTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationAlternateProcedure/updatedBy/{updatedBy}/newVersion":{"post":{"tags":["EducationAlternateProcedure"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedureTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedureTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedureTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationAlternateProcedureTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationAlternateProcedure/{id}/user/{userId}/publish":{"post":{"tags":["EducationAlternateProcedure"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationAlternateProcedure/{id}/user/{userId}/retire":{"post":{"tags":["EducationAlternateProcedure"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationAlternateProcedure/{id}/user/{userId}/activate":{"post":{"tags":["EducationAlternateProcedure"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationAlternateProcedure/{id}/user/{userId}/deactivate":{"post":{"tags":["EducationAlternateProcedure"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationAlternateProcedure/{id}/clone":{"post":{"tags":["EducationAlternateProcedure"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationAlternateProcedure/GetTreatmentAlternativeAssociatedProcedure":{"post":{"tags":["EducationAlternateProcedure"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationAlternateProcedure/UpdateTreatmentAlternativeAssociatedProcedure":{"post":{"tags":["EducationAlternateProcedure"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationDiagnoses/{id}":{"get":{"tags":["EducationDiagnosis"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationDiagnoses/{id}/language/{languageCode}":{"get":{"tags":["EducationDiagnosis"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationDiagnoses/{id}/language/{languageCode}/version/{version}":{"get":{"tags":["EducationDiagnosis"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationDiagnoses/updatedBy/{updatedBy}/new":{"post":{"tags":["EducationDiagnosis"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosis"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosis"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosis"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosis"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationDiagnoses/updatedBy/{updatedBy}/language":{"post":{"tags":["EducationDiagnosis"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosisTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosisTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosisTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosisTranslation"}}}},"responses":{"200":{"description":"Success"}}},"put":{"tags":["EducationDiagnosis"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosisTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosisTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosisTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosisTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationDiagnoses/updatedBy/{updatedBy}/language/new":{"post":{"tags":["EducationDiagnosis"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosisTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosisTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosisTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosisTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationDiagnoses/updatedBy/{updatedBy}/newVersion":{"post":{"tags":["EducationDiagnosis"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosisTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosisTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosisTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosisTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationDiagnoses/updatedBy/{updatedBy}":{"put":{"tags":["EducationDiagnosis"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosis"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosis"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosis"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationDiagnosis"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationDiagnoses/{id}/user/{userId}/publish":{"post":{"tags":["EducationDiagnosis"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationDiagnoses/{id}/user/{userId}/retire":{"post":{"tags":["EducationDiagnosis"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationDiagnoses/{id}/user/{userId}/activate":{"post":{"tags":["EducationDiagnosis"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationDiagnoses/{id}/user/{userId}/deactivate":{"post":{"tags":["EducationDiagnosis"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationDiagnoses":{"post":{"tags":["EducationDiagnosis"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationDiagnoses/{id}/clone":{"post":{"tags":["EducationDiagnosis"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationDiagnoses/GetDiagnosisAssociatedInformedConsents":{"post":{"tags":["EducationDiagnosis"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationDiagnoses/UpdateInformedConsentsForDiagnosis":{"post":{"tags":["EducationDiagnosis"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/{id}":{"get":{"tags":["EducationDocument"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/{id}/language/{languageCode}":{"get":{"tags":["EducationDocument"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/{id}/language/{languageCode}/withDefault":{"get":{"tags":["EducationDocument"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/{id}/attachmentData":{"get":{"tags":["EducationDocument"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/{id}/attachment":{"get":{"tags":["EducationDocument"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/{id}/delete/{attachmentId}":{"post":{"tags":["EducationDocument"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"attachmentId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/{id}/language/{languageCode}/version/{version}":{"get":{"tags":["EducationDocument"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/updatedBy/{updatedBy}/new":{"post":{"tags":["EducationDocument"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationDocument"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationDocument"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationDocument"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationDocument"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/user/{userId}/language":{"post":{"tags":["EducationDocument"],"parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationDocumentTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationDocumentTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationDocumentTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationDocumentTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/{id}/saveAttachment":{"post":{"tags":["EducationDocument"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"ContentType":{"type":"string"},"ContentDisposition":{"type":"string"},"Headers":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"Length":{"type":"integer","format":"int64"},"Name":{"type":"string"},"FileName":{"type":"string"}}},"encoding":{"ContentType":{"style":"form"},"ContentDisposition":{"style":"form"},"Headers":{"style":"form"},"Length":{"style":"form"},"Name":{"style":"form"},"FileName":{"style":"form"}}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/updatedBy/{updatedBy}/language/new":{"post":{"tags":["EducationDocument"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationDocumentTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationDocumentTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationDocumentTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationDocumentTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/updatedBy/{updatedBy}/newVersion":{"post":{"tags":["EducationDocument"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationDocumentTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationDocumentTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationDocumentTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationDocumentTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/updatedBy/{updatedBy}":{"put":{"tags":["EducationDocument"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationDocument"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationDocument"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationDocument"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationDocument"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/updatedBy/{updatedBy}/language":{"put":{"tags":["EducationDocument"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationDocumentTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationDocumentTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationDocumentTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationDocumentTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/{id}/user/{userId}/publish":{"post":{"tags":["EducationDocument"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/{id}/user/{userId}/retire":{"post":{"tags":["EducationDocument"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/{id}/user/{userId}/activate":{"post":{"tags":["EducationDocument"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/{id}/user/{userId}/deactivate":{"post":{"tags":["EducationDocument"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/page/{page}/sortcolumn/{sortcolumn}/sortcriteria/{sortcriteria}":{"post":{"tags":["EducationDocument"],"parameters":[{"name":"page","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"sortcolumn","in":"path","required":true,"schema":{"type":"string","default":""}},{"name":"sortcriteria","in":"path","required":true,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/{id}/clone":{"post":{"tags":["EducationDocument"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/{id}/provider/{providerId}/EducationClone":{"post":{"tags":["EducationDocument"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationDocuments/status":{"get":{"tags":["EducationDocument"],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/{id}":{"get":{"tags":["EducationInformedConsent"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}},"delete":{"tags":["EducationInformedConsent"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/{id}/language/{languageCode}":{"get":{"tags":["EducationInformedConsent"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/{id}/language/{languageCode}/version/{version}":{"get":{"tags":["EducationInformedConsent"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/providerId/{providerId}/updatedBy/{updatedBy}":{"post":{"tags":["EducationInformedConsent"],"parameters":[{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsent"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsent"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsent"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsent"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/user/{userId}/language":{"post":{"tags":["EducationInformedConsent"],"parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/updatedBy/{updatedBy}/language/new":{"post":{"tags":["EducationInformedConsent"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/updatedBy/{updatedBy}/newVersion":{"post":{"tags":["EducationInformedConsent"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/updatedBy/{updatedBy}/newMinorVersion":{"post":{"tags":["EducationInformedConsent"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/updatedBy/{updatedBy}":{"put":{"tags":["EducationInformedConsent"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsent"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsent"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsent"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsent"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/updatedBy/{updatedBy}/language":{"put":{"tags":["EducationInformedConsent"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/{id}/user/{userId}/publish":{"post":{"tags":["EducationInformedConsent"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/{id}/user/{userId}/retire":{"post":{"tags":["EducationInformedConsent"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/{id}/user/{userId}/activate":{"post":{"tags":["EducationInformedConsent"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/{id}/user/{userId}/deactivate":{"post":{"tags":["EducationInformedConsent"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/providerId/{providerId}/includeInactive/{includeInactive}":{"post":{"tags":["EducationInformedConsent"],"parameters":[{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"includeInactive","in":"path","required":true,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/{id}/clone":{"post":{"tags":["EducationInformedConsent"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/acknowledgementTemplate":{"post":{"tags":["EducationInformedConsent"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/sectionGroups":{"get":{"tags":["EducationInformedConsent"],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/documentTemplate":{"post":{"tags":["EducationInformedConsent"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/proceduresList":{"get":{"tags":["EducationInformedConsent"],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/states":{"get":{"tags":["EducationInformedConsent"],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/anesthesia":{"get":{"tags":["EducationInformedConsent"],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/patientInformationSections/{languageCode}":{"get":{"tags":["EducationInformedConsent"],"parameters":[{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/getInformedConsentAsscociatedProcedureItems":{"post":{"tags":["EducationInformedConsent"],"parameters":[{"name":"informedConsentId","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/getInformedConsentDefaultProcedureItems":{"get":{"tags":["EducationInformedConsent"],"parameters":[{"name":"informedConsentId","in":"query","schema":{"type":"string"}},{"name":"providerId","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/getShouldBypassProcedurePage":{"post":{"tags":["EducationInformedConsent"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/saveInformedConsentDefault":{"post":{"tags":["EducationInformedConsent"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/InformedConsentDefault"}},"application/json":{"schema":{"$ref":"#/components/schemas/InformedConsentDefault"}},"text/json":{"schema":{"$ref":"#/components/schemas/InformedConsentDefault"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/InformedConsentDefault"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/updateInformedConsentDefault":{"put":{"tags":["EducationInformedConsent"],"parameters":[{"name":"updatedBy","in":"query","schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/InformedConsentDefault"}},"application/json":{"schema":{"$ref":"#/components/schemas/InformedConsentDefault"}},"text/json":{"schema":{"$ref":"#/components/schemas/InformedConsentDefault"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/InformedConsentDefault"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/baseLanguageCode/{baseLanguageCode}/languageCode/{languageCode}/informedConsentId/{informedConsentId}/userId/{userId}":{"get":{"tags":["EducationInformedConsent"],"parameters":[{"name":"baseLanguageCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"informedConsentId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/bookmarkMaster":{"post":{"tags":["EducationInformedConsent"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/getInformedConsentAndTranslation":{"get":{"tags":["EducationInformedConsent"],"parameters":[{"name":"translationId","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/getProviderCreatedInformedConsents":{"post":{"tags":["EducationInformedConsent"],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsents/saveEducationInformedConsentPdf/{icTranslationId}/uploadPdfFile/providerId/{providerId}/updatedBy/{updatedBy}/informedConsentId/{informedConsentId}/language/{languageCode}/version/{version}":{"post":{"tags":["EducationInformedConsent"],"parameters":[{"name":"icTranslationId","in":"path","required":true,"schema":{"type":"string"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}},{"name":"informedConsentId","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"ContentType":{"type":"string"},"ContentDisposition":{"type":"string"},"Headers":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"Length":{"type":"integer","format":"int64"},"Name":{"type":"string"},"FileName":{"type":"string"}}},"encoding":{"ContentType":{"style":"form"},"ContentDisposition":{"style":"form"},"Headers":{"style":"form"},"Length":{"style":"form"},"Name":{"style":"form"},"FileName":{"style":"form"}}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsentAcknowledgement/provider/{providerId}/page/{page}/sortcolumn/{sortcolumn}/sortcriteria/{sortcriteria}":{"post":{"tags":["EducationInformedConsentAcknowledgement"],"parameters":[{"name":"page","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"sortcolumn","in":"path","required":true,"schema":{"type":"string","default":""}},{"name":"sortcriteria","in":"path","required":true,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsentAcknowledgement/GetAllInformedConsentsAck":{"post":{"tags":["EducationInformedConsentAcknowledgement"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsentAcknowledgement/{id}/provider/{providerId}/clone":{"post":{"tags":["EducationInformedConsentAcknowledgement"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsentAcknowledgement/updatedBy/{updatedBy}":{"post":{"tags":["EducationInformedConsentAcknowledgement"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentAcknowledgementTemplate"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentAcknowledgementTemplate"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentAcknowledgementTemplate"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentAcknowledgementTemplate"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsentAcknowledgement/provider/{providerId}/updatedBy/{updatedBy}":{"put":{"tags":["EducationInformedConsentAcknowledgement"],"parameters":[{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentAcknowledgementTemplate"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentAcknowledgementTemplate"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentAcknowledgementTemplate"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentAcknowledgementTemplate"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsentAcknowledgement/{id}/user/{userId}/provider/{providerId}/expire":{"post":{"tags":["EducationInformedConsentAcknowledgement"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsentAcknowledgement/{id}/user/{useriId}/provider/{providerId}/activate":{"post":{"tags":["EducationInformedConsentAcknowledgement"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"query","schema":{"type":"string"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"useriId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsentAcknowledgement/GetInformedConsentAckStatus":{"get":{"tags":["EducationInformedConsentAcknowledgement"],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsentAcknowledgement/{id}/provider/{providerId}/language/{languageCode}":{"get":{"tags":["EducationInformedConsentAcknowledgement"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsentAcknowledgement/{id}/provider/{providerId}/language/{languageCode}/version/{version}":{"get":{"tags":["EducationInformedConsentAcknowledgement"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsentAcknowledgement/translation/provider/{providerId}/updatedBy/{updatedBy}":{"put":{"tags":["EducationInformedConsentAcknowledgement"],"parameters":[{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentAcknowledgementTemplateTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentAcknowledgementTemplateTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentAcknowledgementTemplateTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentAcknowledgementTemplateTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsentAcknowledgement/translation":{"post":{"tags":["EducationInformedConsentAcknowledgement"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentAcknowledgementTemplateTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentAcknowledgementTemplateTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentAcknowledgementTemplateTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentAcknowledgementTemplateTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsentAcknowledgement/translation/asNew/updatedBy/{updatedBy}":{"post":{"tags":["EducationInformedConsentAcknowledgement"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentAcknowledgementTemplateTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentAcknowledgementTemplateTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentAcknowledgementTemplateTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationInformedConsentAcknowledgementTemplateTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsentAcknowledgement/translation/{id}/user/{userId}/provider/{providerId}/expire":{"post":{"tags":["EducationInformedConsentAcknowledgement"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationInformedConsentAcknowledgement/translation/{id}/user/{useriId}/provider/{providerId}/activate":{"post":{"tags":["EducationInformedConsentAcknowledgement"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"query","schema":{"type":"string"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"useriId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/GetProcedureStatus":{"get":{"tags":["EducationProcedure"],"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/{id}":{"get":{"tags":["EducationProcedure"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/{id}/language/{languageCode}":{"get":{"tags":["EducationProcedure"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/{id}/language/{languageCode}/version/{version}":{"get":{"tags":["EducationProcedure"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"languageCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/updatedBy/{updatedBy}/new":{"post":{"tags":["EducationProcedure"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationProcedure"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationProcedure"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationProcedure"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationProcedure"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/user/{userId}/language":{"post":{"tags":["EducationProcedure"],"parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationProcedureTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationProcedureTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationProcedureTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationProcedureTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/updatedBy/{updatedBy}/language/new":{"post":{"tags":["EducationProcedure"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationProcedureTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationProcedureTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationProcedureTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationProcedureTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/updatedBy/{updatedBy}/newVersion":{"post":{"tags":["EducationProcedure"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationProcedureTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationProcedureTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationProcedureTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationProcedureTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/updatedBy/{updatedBy}":{"put":{"tags":["EducationProcedure"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationProcedure"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationProcedure"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationProcedure"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationProcedure"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/translation/updatedBy/{updatedBy}":{"put":{"tags":["EducationProcedure"],"parameters":[{"name":"updatedBy","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EducationProcedureTranslation"}},"application/json":{"schema":{"$ref":"#/components/schemas/EducationProcedureTranslation"}},"text/json":{"schema":{"$ref":"#/components/schemas/EducationProcedureTranslation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EducationProcedureTranslation"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/{id}/user/{userId}/publish":{"post":{"tags":["EducationProcedure"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/{id}/user/{userId}/retire":{"post":{"tags":["EducationProcedure"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/{id}/user/{userId}/activate":{"post":{"tags":["EducationProcedure"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/{id}/user/{userId}/deactivate":{"post":{"tags":["EducationProcedure"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/provider/{providerId}/page/{page}/sortcolumn/{sortcolumn}/sortcriteria/{sortcriteria}":{"post":{"tags":["EducationProcedure"],"parameters":[{"name":"page","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"providerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"sortcolumn","in":"path","required":true,"schema":{"type":"string","default":""}},{"name":"sortcriteria","in":"path","required":true,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/{id}/clone":{"post":{"tags":["EducationProcedure"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/GetEducationInformedConsent":{"get":{"tags":["EducationProcedure"],"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/GetProcedureisAvailableActiveInformedConsents":{"post":{"tags":["EducationProcedure"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/GetProcedureisAssociatedInformedConsents":{"post":{"tags":["EducationProcedure"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/UpdateInformedConsentsForProcedureIC":{"post":{"tags":["EducationProcedure"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"}}}},"/api/educationProcedure/GetProcedureisAvailableActiveProcedureArea":{"post":{"tags":["EducationProcedure"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"
[...]
